Bug 98089 - Missing sys/mman.h include on Mac
Summary: Missing sys/mman.h include on Mac
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-01 16:16 PDT by Jonathan Liu
Modified: 2013-01-16 14:41 PST (History)
5 users (show)

See Also:


Attachments
Patch (1.08 KB, patch)
2012-10-01 16:18 PDT, Jonathan Liu
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Liu 2012-10-01 16:16:23 PDT
Source/JavaScriptCore/jit/ExecutableAllocatorFixedVMPool.cpp needs sys/mman.h include on Mac (see https://bugs.webkit.org/show_bug.cgi?id=97995#c5).
Comment 1 Jonathan Liu 2012-10-01 16:18:39 PDT
Created attachment 166567 [details]
Patch
Comment 2 Alexey Proskuryakov 2012-10-02 17:14:43 PDT
I want to r+ this based on the comment you cited, but I don't understand why the build isn't broken because of this.
Comment 3 Jonathan Liu 2012-10-02 17:35:30 PDT
An indirect include from one of the other headers perhaps.
Comment 4 Simon Hausmann 2012-12-22 00:52:17 PST
I don't understand why this is needed. The Mac (apple & QT) bots are green.
Comment 5 Jonathan Liu 2012-12-22 04:29:01 PST
(In reply to comment #4)
> I don't understand why this is needed. The Mac (apple & QT) bots are green.

See https://bugs.webkit.org/show_bug.cgi?id=97995#c5
Comment 6 Darin Adler 2013-01-16 14:15:41 PST
Comment on attachment 166567 [details]
Patch

Eventually we’ll have to figure out a policy for Mac includes. Generally speaking the Mac port works by including certain global includes as part of the prefix, and patches like this are only needed because some other ports are leaving things out of the global prefix. But since we have a "config.h" that is used on all platforms, these could instead be fixed by adding more to the "config.h" or something it includes on those ports. Instead of constantly taking small patches like this one.

But I’ll set that aside for now and say r=me
Comment 7 WebKit Review Bot 2013-01-16 14:41:11 PST
Comment on attachment 166567 [details]
Patch

Clearing flags on attachment: 166567

Committed r139926: <http://trac.webkit.org/changeset/139926>
Comment 8 WebKit Review Bot 2013-01-16 14:41:15 PST
All reviewed patches have been landed.  Closing bug.